org.appng.xml.platform

## Enum PanelLocation

- java.lang.Object
- - java.lang.Enum<PanelLocation>
  - - org.appng.xml.platform.PanelLocation

- All Implemented Interfaces:
    Serializable, Comparable<PanelLocation>

      public enum PanelLocation
      extends Enum<PanelLocation>

  Java class for panel-location.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="panel-location">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="inline"/>
           <enumeration value="top"/>
           <enumeration value="bottom"/>
           <enumeration value="both"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` The linkpanel is displayed above and beneath the `Datasource`.
    `BOTTOM` The linkpanel is displayed on the bottom, beneath the `Datasource`.
    `INLINE` The linkpanel is displayed inline as part of a `Resultset`s `Result`.
    `TOP` The linkpanel is displayed on the top, above the `Datasource`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PanelLocation` | `fromValue(String v)`
    `String` | `value()`
    `static PanelLocation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PanelLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INLINE

          public static final PanelLocation INLINE

      The linkpanel is displayed inline as part of a `Resultset`s `Result`.

    - #### TOP

          public static final PanelLocation TOP

      The linkpanel is displayed on the top, above the `Datasource`.

    - #### BOTTOM

          public static final PanelLocation BOTTOM

      The linkpanel is displayed on the bottom, beneath the `Datasource`.

    - #### BOTH

          public static final PanelLocation BOTH

      The linkpanel is displayed above and beneath the `Datasource`.

  - ### Method Detail

    - #### values

          public static PanelLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PanelLocation c : PanelLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PanelLocation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static PanelLocation fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.